← OBPv7.0.0 Edit System Chat Message PUT /obp/v7.0.0/chat-rooms/CHAT_ROOM_ID/messages/CHAT_MESSAGE_ID OBPv6.0.0-editSystemChatMessage No role required Chat Edit a message in a system-level chat room. Only the sender can edit their own messages. Authentication is Required User Authentication is Required. The User must be logged in. The Application must also be authenticated. URL Parameters: CHAT_MESSAGE_ID: CHAT_MESSAGE_ID CHAT_ROOM_ID: CHAT_ROOM_ID JSON response body fields (16) chat_message_id chat_message_idchat_room_id chat_room_idcontent contentcreated_at created_atis_deleted is_deletedmentioned_user_ids mentioned_user_idsmessage_type message_typereactions reactionsreply_to_message_id reply_to_message_idsender_consumer_id sender_consumer_idsender_consumer_name sender_consumer_namesender_provider sender_providersender_user_id sender_user_idsender_username sender_usernamethread_id thread_idupdated_at updated_at Example request body { "content": "Updated message content" } Example success response { "chat_message_id": "msg-id-123", "chat_room_id": "chat-room-id-123", "sender_user_id": "user-id-123", "sender_consumer_id": "", "sender_username": "robert.x.0.gh", "sender_provider": "https://github.com", "sender_consumer_name": "My Banking App", "content": "Updated message content", "message_type": "text", "mentioned_user_ids": [], "reply_to_message_id": "", "thread_id": "", "is_deleted": false, "created_at": "2026-11-18T15:16:08Z", "updated_at": "2026-11-18T15:16:08Z", "reactions": [] } Possible errors (7) OBP-20001: User not logged in. Authentication is required!OBP-10001: Incorrect json format.OBP-39001: Chat Room not found. Please specify a valid value for CHAT_ROOM_ID.OBP-39004: Current user is not a participant of this Chat Room.OBP-39005: Chat Message not found. Please specify a valid value for CHAT_MESSAGE_ID.OBP-39009: You can only edit your own messages.OBP-50000: Unknown Error.